Subject: bug#72488: 12.3; Unable to read locale data: please check the 'locale' settings of your environment for consistency. Exiting now.

From: Guilhem Bourrié <[email-masked]>
Date: Wed, 7 Aug 2024 22:08:57 +0200

Thank you very much again. I send this answer as a reply to Cc so it can be archived.

1. a message in the mailing list [email-masked] <mailto:[email-masked]> gave me the idea to pass luatex as an argument in \documentclass :

\documentclass[luatex,12pt,a4paper]{article}

This works perfectly and the issue disappears !

No more error message in Aquamacs.

This suggests that luatex initialization is different in this way.

Le 7 août 2024 à 17:48, Arash Esbati <[email-masked]> a écrit :

Guilhem Bourrié <[email-masked]> writes:

> thank you very much.

You're welcome.  Please use "Reply to all" when responding in order to
keep the bug tracker in Cc.

> 1. I compile my file without any problem from the command line.
> 
> either simply lualatex ECM-lua.tex 
> 
> or as : 
> 
> lualatex --jobname=ECM-lua -file-line-error --synctex=1 -interaction=nonstopmode ECM-lua.tex

Ok, sounds good.

> 2. When I eval the form you suggested, I get : 
> 
> subsh dquote>

This one is not so good.  It seems that your Emacs isn't able to start a
subprocess or something like that.  Do you start Emacs as an App?  You
could try to start Emacs from the shell where you can compile your file
and see if you can run lualatex then.

I will go deeper later. I must familiarize with Emacs

> 3. Since yesterday, I downloaded Emacs 29.4 x86_64-darwin18.7.0 version 10.14.6
> 
> I compile my file without any problem in Emacs.

What do you get when you eval the form I sent in Emacs 29.4?  And how
did you start the newer version?

I used GUI Emacs. I will keep your advice. Many thanks. 

> 4. I installed the last version of AUCTeX, 14.0.6.
> 
> With Aquamacs, I still obtain the error message : LaTeX: problems after [0] pages.
> 
> Running `LaTeX' on `ECM-lua' with ``lualatex --jobname=ECM-lua  -file-line-error  --synctex=1 -
> interaction=nonstopmode ECM-lua.tex''
> Unable to read locale data: please check the 'locale' settings of your
> environment for consistency. Exiting now.
> 
> TeX Output exited abnormally with code 1 at Tue Aug  6 18:44:27
> 
> Though, as stated above, in the Terminal, the command line 
> 
> lualatex --jobname=ECM-lua  -file-line-error  --synctex=1 -interaction=nonstopmode ECM-lua.tex
> 
> works perfectly.
> 
> Which puzzles me is that Aquamacs is simply an adaptation of Emacs to MacOS X…

I have no experience with Aquaemacs, so I can't tell.  But I don't think
this is an AUCTeX issue, more how Emacs starts subprocesses.

Best, Arash

Best regards,

Guilhem